Skip to main content
POST
/
api
/
v2.1
/
fintrans
/
{accountId}
/
payment-consents
/
types
/
{operationType}
Create payment consent
curl --request POST \
  --url https://sandbox.finhub.cloud/api/v2.1/fintrans/{accountId}/payment-consents/types/{operationType} \
  --header 'Content-Type: application/json' \
  --header 'User-Agent: <user-agent>' \
  --header 'X-Forwarded-For: <x-forwarded-for>' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --header 'deviceId: <deviceid>' \
  --header 'platform: <platform>' \
  --data '
{
  "documentId": "00000000-0000-0000-0000-000000000000",
  "entityId": "00000000-0000-0000-0000-000000000000",
  "entityType": "ORGANIZATION",
  "tenantId": "00000000-0000-0000-0000-000000000000",
  "documentType": "PAYMENT_CONSENT",
  "verificationType": "CONSENT",
  "verificationStatus": "PENDING",
  "verificationData": {
    "consentPurpose": "Payment Consent",
    "scope": "Transfer processing",
    "consentVersion": "1.0"
  },
  "metadata": {
    "paymentType": "TRANSFER",
    "title": "Business Payment Consent",
    "parameters": {
      "validity": {
        "startDate": "2026-03-23",
        "endDate": "2027-03-23",
        "maxUsageCount": 500
      },
      "beneficiaries": {
        "allowNewBeneficiaries": false,
        "requireBeneficiaryName": true,
        "allowedAccounts": [
          "LT601010012345678901"
        ],
        "allowedTypes": [
          "sepa_transfer_internal"
        ]
      },
      "limits": {
        "maxAmountPerTransaction": {
          "amount": 50000,
          "currency": "EUR"
        },
        "maxAmountPerDay": {
          "amount": 100000,
          "currency": "EUR"
        },
        "maxTransactionsPerDay": 50
      }
    },
    "questions": {
      "question": "I consent to the processing",
      "answer": ""
    }
  }
}
'

Headers

X-Tenant-ID
string
required

Tenant identifier

Example:

"test_tenant"

X-Forwarded-For
string
required

Client IP address

Example:

"127.0.0.1"

X-Forwarded-From
string
required

Client application identifier

Example:

"playground-client"

platform
string
required

Client platform

Example:

"playground-api"

deviceId
string
required

Device identifier

Example:

"playground-device"

User-Agent
string
required
Example:

"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/120.0.0.0 Safari/537.36"

Path Parameters

accountId
string
required
operationType
string
required

Body

application/json
documentId
string
entityId
string
entityType
string
tenantId
string
documentType
string
verificationType
string
verificationStatus
string
verificationData
object
metadata
object

Response

200

OK